Package ch.qos.logback.classic.selector

# Class DefaultContextSelector

java.lang.Object
ch.qos.logback.classic.selector.DefaultContextSelector

All Implemented Interfaces:
  `ContextSelector`

public class DefaultContextSelector extends Object implements ContextSelector

## Constructor Summary

Constructors
Constructor
Description
`DefaultContextSelector(LoggerContext context)`

## Method Summary

Modifier and Type
Method
Description
`LoggerContext`
`detachLoggerContext(String loggerContextName)`
`List<String>`
`getContextNames()`
`LoggerContext`
`getDefaultLoggerContext()`
`LoggerContext`
`getLoggerContext()`
`LoggerContext`
`getLoggerContext(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultContextSelector

public DefaultContextSelector(LoggerContext context)

## Method Details

### getLoggerContext

public LoggerContext getLoggerContext()

Specified by:
  `getLoggerContext` in interface `ContextSelector`

### getDefaultLoggerContext

public LoggerContext getDefaultLoggerContext()

Specified by:
  `getDefaultLoggerContext` in interface `ContextSelector`

### detachLoggerContext

public LoggerContext detachLoggerContext(String loggerContextName)

Specified by:
  `detachLoggerContext` in interface `ContextSelector`

### getContextNames

public List<String> getContextNames()

Specified by:
  `getContextNames` in interface `ContextSelector`

### getLoggerContext

public LoggerContext getLoggerContext(String name)

Specified by:
  `getLoggerContext` in interface `ContextSelector`